package com.fjhx.purchase.entity.purchase.vo;

import com.fjhx.purchase.entity.arrival.vo.ArrivalDetailVo;
import com.fjhx.purchase.entity.deliver.DeliverGoodsDetailsPo;
import com.fjhx.purchase.entity.purchase.po.PurchaseDetail;
import com.fjhx.purchase.entity.quality.po.QualityDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 申购单列表查询返回值实体
 *
 * @author
 * @since 2023-04-06
 */
@Getter
@Setter
public class PurchaseDetailVo extends PurchaseDetail {

    /**
     * 质检合格数量
     */
    private BigDecimal qualifiedCount;
    /**
     * 质检不合格数量
     */
    private BigDecimal noQualifiedCount;

    /**
     * 发货数量
     */
    private BigDecimal deliverGoodsQuantity;

    /**
     * 总数
     */
    private BigDecimal sumCount;

    /**
     * 总采购金额
     */
    private BigDecimal sumAmount;

    /**
     * 总采购金额-货币
     */
    private String sumAmountCurrency;

    /**
     * 产品定义
     */
    private Integer productDefinition;
    /**
     * 产品自定义编号
     */
    private String productCustomCode;

    private List<QualityDetail> qualityDetailsList;

    /**
     * 发货数量
     */
    private BigDecimal arrivalQuantity;

    List<Object> deliverGoodsDetailList;
    List<ArrivalDetailVo> arrivalDetailList;
}
